com.sun.grid.jgdi.configuration

## Interface JobReference

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    JobReferenceImpl

      public interface JobReference
      extends GEObject

  Java representation of the cull object JRE_Type defined in sge_all_listsL.template

  Warning: The JobReference class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `java.lang.String` | `getJobName()` Get the value of the jobName attribute.
    `int` | `getJobNumber()` Get the value of the jobNumber attribute.
    `boolean` | `isSetJobName()` Determine if any jobName attribute is set
    `boolean` | `isSetJobNumber()` Determine if any jobNumber attribute is set
    `void` | `setJobName(java.lang.String aJobName)` Set the jobName attribute.
    `void` | `setJobNumber(int aJobNumber)` Set the jobNumber attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setJobNumber

          void setJobNumber(int aJobNumber)

      Set the jobNumber attribute.
      Parameters:
        `aJobNumber` - the new value for the jobNumber attribute

    - #### getJobNumber

          int getJobNumber()

      Get the value of the jobNumber attribute.
      Returns:
        the value of the jobNumber attribute

    - #### isSetJobNumber

          boolean isSetJobNumber()

      Determine if any jobNumber attribute is set
      Returns:
        `true` if the jobNumber attribute is set

    - #### setJobName

          void setJobName(java.lang.String aJobName)

      Set the jobName attribute.
      Parameters:
        `aJobName` - the new value for the jobName attribute

    - #### getJobName

          java.lang.String getJobName()

      Get the value of the jobName attribute.
      Returns:
        the value of the jobName attribute

    - #### isSetJobName

          boolean isSetJobName()

      Determine if any jobName attribute is set
      Returns:
        `true` if the jobName attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.